<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Object Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Class/Object" class="dashAnchor"></a>
    <a title="Object Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">SwiftObject Docs</a> (94% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">SwiftObject Reference</a>
        <img id="carat" src="../img/carat.png" />
        Object Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/Object.html">Object</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Object/Status.html">– Status</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/Box.html">Box</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Object</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">@dynamicMemberLookup</span>
<span class="kd">public</span> <span class="kd">class</span> <span class="kt">Object</span></code></pre>

                </div>
              </div>
            <p>Attempt to make a simple JavaScript-like Object in Swift</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C6StatusO"></a>
                    <a name="//apple_ref/swift/Enum/Status" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C6StatusO">Status</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Helper type to return inside functions</p>

                        <a href="../Classes/Object/Status.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">Status</span> <span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="kt">Codable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Default%20Init"></a>
                <a name="//apple_ref/swift/Section/Default Init" class="dashAnchor"></a>
                <a href="#/Default%20Init">
                  <h3 class="section-name">Default Init</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0CACycfc"></a>
                    <a name="//apple_ref/swift/Method/init()" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0CACycfc">init()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Default init used to create a basic Object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Variable%20Runes"></a>
                <a name="//apple_ref/swift/Section/Variable Runes" class="dashAnchor"></a>
                <a href="#/Variable%20Runes">
                  <h3 class="section-name">Variable Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3lttoiyyAC_SDys11AnyHashableVypGtFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;~~(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3lttoiyyAC_SDys11AnyHashableVypGtFZ">&lt;~~(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Add a Value with a name to the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;~~</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="p">[</span><span class="kt">AnyHashable</span> <span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">])</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3lttoiyyAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;~~(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3lttoiyyAC_yptFZ">&lt;~~(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Shortcut to add a Value to the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;~~</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ttgoiyAA3BoxVAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/~~&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ttgoiyAA3BoxVAC_yptFZ">~~&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve a Value from the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">~~&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Structs/Box.html">Box</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ttgoiyxSgAC_yptlFZ"></a>
                    <a name="//apple_ref/swift/Method/~~&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ttgoiyxSgAC_yptlFZ">~~&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve a Value from the current object and casts it to the type provided</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">~~&gt;</span> <span class="o">&lt;</span><span class="kt">E</span><span class="o">&gt;</span><span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">E</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ttgoPyxSgAClFZ"></a>
                    <a name="//apple_ref/swift/Method/~~&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ttgoPyxSgAClFZ">~~&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve the single Value of the current object and casts it to the type provided</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">postfix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">~~&gt;</span> <span class="o">&lt;</span><span class="kt">E</span><span class="o">&gt;</span><span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">E</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Postfix%20Variable%20Runes"></a>
                <a name="//apple_ref/swift/Section/Postfix Variable Runes" class="dashAnchor"></a>
                <a href="#/Postfix%20Variable%20Runes">
                  <h3 class="section-name">Postfix Variable Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ttgoPyAA3BoxVACFZ"></a>
                    <a name="//apple_ref/swift/Method/~~&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ttgoPyAA3BoxVACFZ">~~&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve the single Value of the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">postfix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">~~&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Structs/Box.html">Box</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Function%20Runes"></a>
                <a name="//apple_ref/swift/Section/Function Runes" class="dashAnchor"></a>
                <a href="#/Function%20Runes">
                  <h3 class="section-name">Function Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2lxoiyyAC_SDys11AnyHashableVypSgAGcGtFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;^(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2lxoiyyAC_SDys11AnyHashableVypSgAGcGtFZ">&lt;^(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Add a Function with a name and a closure to the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;^</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="p">[</span><span class="kt">AnyHashable</span> <span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a></span><span class="p">])</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2lxoiyyAC_ypSgAEctFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;^(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2lxoiyyAC_ypSgAEctFZ">&lt;^(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Add a single Function to the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;^</span><span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kd">@escaping</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a></span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2xgoiyypSgAEcAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/^&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2xgoiyypSgAEcAC_yptFZ">^&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve a Function from the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">^&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2xgoPyypSgAEcACFZ"></a>
                    <a name="//apple_ref/swift/Method/^&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2xgoPyypSgAEcACFZ">^&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Retrieve the single Value of the current object</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">postfix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">^&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Functiona">ObjectFunction</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Run%20Function%20Runes"></a>
                <a name="//apple_ref/swift/Section/Run Function Runes" class="dashAnchor"></a>
                <a href="#/Run%20Function%20Runes">
                  <h3 class="section-name">Run Function Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3lxgoiyypSgAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;^&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3lxgoiyypSgAC_yptFZ">&lt;^&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Run the single Function or named Function with an ObjectVariable</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;^&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2lgoiyypSgAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2lgoiyypSgAC_yptFZ">&lt;&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Run a Function without an ObjectVariable</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ltgoiyypSgAC_yptFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;~&gt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ltgoiyypSgAC_yptFZ">&lt;~&gt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Run the single Function or named Function with an interal ObjectVariable</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;~&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">right</span><span class="p">:</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Postfix%20Function%20Runes"></a>
                <a name="//apple_ref/swift/Section/Postfix Function Runes" class="dashAnchor"></a>
                <a href="#/Postfix%20Function%20Runes">
                  <h3 class="section-name">Postfix Function Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C3ltgoPyypSgACFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;~&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C3ltgoPyypSgACFZ">&lt;~&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Run the single Function with an interal ObjectVariable</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">postfix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;~&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2lgoPyypSgACFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;&gt;(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2lgoPyypSgACFZ">&lt;&gt;(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Run the single Function of the current Object, without an ObjectVariable&rsquo;</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">postfix</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;&gt;</span> <span class="p">(</span><span class="nv">left</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Typealiases.html#/s:11SwiftObject0B8Variablea">ObjectVariable</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Custom%20Operator%20Functions%20/%20Runes"></a>
                <a name="//apple_ref/swift/Section/Custom Operator Functions / Runes" class="dashAnchor"></a>
                <a href="#/Custom%20Operator%20Functions%20/%20Runes">
                  <h3 class="section-name">Custom Operator Functions / Runes</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:11SwiftObject0B0C2eeoiySbAC_ACtFZ"></a>
                    <a name="//apple_ref/swift/Method/==(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:11SwiftObject0B0C2eeoiySbAC_ACtFZ">==(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Checks if the two objects are equals</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">==</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="kt">Object</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Bool</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://gitlab.com/_leif/SwiftObject" target="_blank" rel="external">Zach Eriksen</a>. All rights reserved. (Last updated: 2018-09-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.3</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
